---------------------
PatchSet 3773 
Date: 2003/12/11 02:48:15
Author: andersen
Branch: HEAD
Tag: busybox_1_00_pre4 
Log:
prepare for release

Members: 
	Changelog:1.284->1.285 
	README:1.29->1.30 
	docs/busybox.net/news.html:1.1->1.2 

---------------------
PatchSet 3774 
Date: 2003/12/11 07:13:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
some minor website cleanups

Members: 
	docs/busybox.net/cvs_anon.html:1.8->1.9 
	docs/busybox.net/cvs_write.html:1.7->1.8 
	docs/busybox.net/header.html:1.3->1.4 
	docs/busybox.net/news.html:1.2->1.3 

---------------------
PatchSet 3775 
Date: 2003/12/11 08:04:49
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup some html bugs

Members: 
	docs/busybox.net/cvs_anon.html:1.9->1.10 
	docs/busybox.net/footer.html:1.1->1.2 
	docs/busybox.net/header.html:1.4->1.5 
	docs/busybox.net/news.html:1.3->1.4 
	docs/busybox.net/oldnews.html:1.17->1.18 
	docs/busybox.net/screenshot.html:1.7->1.8 

---------------------
PatchSet 3776 
Date: 2003/12/11 18:03:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
It appears the Netgear WG602 distributes source

Members: 
	docs/busybox.net/products.html:1.2->1.3 
	docs/busybox.net/shame.html:1.2->1.3 

---------------------
PatchSet 3777 
Date: 2003/12/12 00:08:57
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix compile when CONFIG_FEATURE_HDPARM_GET_IDENTITY is disabled

Members: 
	miscutils/hdparm.c:1.8->1.9 

---------------------
PatchSet 3778 
Date: 2003/12/12 07:01:14
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Doh!  I broke automatic filesystem type guessing.  Fix mount so
it will properly fall back to /proc/mounts when /etc/filesystems
is missing, allowing mount to guess the correct fs type when a
fs type is not explicitly specified.
 -Erik

Members: 
	util-linux/mount.c:1.114->1.115 

---------------------
PatchSet 3779 
Date: 2003/12/12 19:05:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Be certain we use a correct entity when performing the
BLKGETSIZE64 ioctl -- don't just assume 8,

Members: 
	util-linux/fdisk.c:1.13->1.14 

---------------------
PatchSet 3780 
Date: 2003/12/15 21:57:43
Author: russ
Branch: HEAD
Tag: (none) 
Log:
Get vfork_daemon_rexec working under uclinux

Members: 
	include/libbb.h:1.122->1.123 
	libbb/vfork_daemon_rexec.c:1.1->1.2 
	miscutils/crond.c:1.10->1.11 
	sysklogd/klogd.c:1.18->1.19 
	sysklogd/syslogd.c:1.104->1.105 

---------------------
PatchSet 3781 
Date: 2003/12/15 22:09:36
Author: russ
Branch: HEAD
Tag: (none) 
Log:
options is a pretty common symbol, bad idea to use as a global in udhcp when compiling into busybox

Members: 
	networking/udhcp/clientpacket.c:1.3->1.4 
	networking/udhcp/files.c:1.4->1.5 
	networking/udhcp/options.c:1.5->1.6 
	networking/udhcp/options.h:1.3->1.4 
	networking/udhcp/script.c:1.5->1.6 

---------------------
PatchSet 3782 
Date: 2003/12/15 22:11:26
Author: russ
Branch: HEAD
Tag: (none) 
Log:
make udhcp work under uclinux, to an extent

Members: 
	networking/udhcp/common.c:1.2->1.3 
	networking/udhcp/script.c:1.6->1.7 

---------------------
PatchSet 3783 
Date: 2003/12/16 01:29:40
Author: russ
Branch: HEAD
Tag: (none) 
Log:
not sure who made this change, but it certainly mucks things up (note 'fwrite(leases, ...'), adds a bit more code, and some stack overhead. Anywho, this fixes it, and retains the spirit of what the submitter of this change was attempting to acheive (the entire lease is written at once in a struct)

Members: 
	networking/udhcp/files.c:1.5->1.6 

---------------------
PatchSet 3784 
Date: 2003/12/16 01:33:38
Author: russ
Branch: HEAD
Tag: (none) 
Log:
whoops

Members: 
	networking/udhcp/files.c:1.6->1.7 

---------------------
PatchSet 3785 
Date: 2003/12/16 01:42:18
Author: russ
Branch: HEAD
Tag: (none) 
Log:
when compiled standalone, udhcp needs these headers

Members: 
	networking/udhcp/files.c:1.7->1.8 

---------------------
PatchSet 3786 
Date: 2003/12/16 02:28:20
Author: russ
Branch: HEAD
Tag: (none) 
Log:
start attempting to bring udhcp in busybox back to the state where it is (ideally) an exact copy of udhcp outside of busybox so that its easy to merge back and forth

Members: 
	networking/udhcp/dhcpc.c:1.13->1.14 
	networking/udhcp/dumpleases.c:1.5->1.6 
	networking/udhcp/libbb_udhcp.h:1.3->1.4 

---------------------
PatchSet 3787 
Date: 2003/12/16 02:29:46
Author: russ
Branch: HEAD
Tag: (none) 
Log:
why the complication of a static string rather than a define? gcc isn't dumb

Members: 
	networking/udhcp/dhcpd.h:1.3->1.4 
	networking/udhcp/dumpleases.c:1.6->1.7 
	networking/udhcp/files.c:1.8->1.9 

---------------------
PatchSet 3788 
Date: 2003/12/16 02:34:19
Author: russ
Branch: HEAD
Tag: (none) 
Log:
forgotten include

Members: 
	networking/udhcp/dumpleases.c:1.7->1.8 

---------------------
PatchSet 3789 
Date: 2003/12/16 02:38:09
Author: russ
Branch: HEAD
Tag: (none) 
Log:
revert removal of define

Members: 
	networking/udhcp/Makefile.in:1.7->1.8 

---------------------
PatchSet 3790 
Date: 2003/12/16 07:43:20
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Using vlock also requires libcrypt

Members: 
	loginutils/Makefile.in:1.5->1.6 

---------------------
PatchSet 3791 
Date: 2003/12/16 12:04:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
remove reference to missing header file which is breaking the build

Members: 
	networking/udhcp/files.c:1.9->1.10 

---------------------
PatchSet 3792 
Date: 2003/12/16 20:44:15
Author: russ
Branch: HEAD
Tag: (none) 
Log:
include headers with prototypes to make sure prototypes match

Members: 
	networking/udhcp/clientpacket.c:1.4->1.5 
	networking/udhcp/clientpacket.h:1.1->1.2 
	networking/udhcp/leases.c:1.2->1.3 
	networking/udhcp/packet.c:1.2->1.3 
	networking/udhcp/script.c:1.7->1.8 
	networking/udhcp/serverpacket.c:1.2->1.3 
	networking/udhcp/serverpacket.h:1.1->1.2 
	networking/udhcp/socket.c:1.4->1.5 

---------------------
PatchSet 3793 
Date: 2003/12/16 22:46:33
Author: russ
Branch: HEAD
Tag: (none) 
Log:
clean up some bad, bad formatting

Members: 
	networking/udhcp/files.c:1.10->1.11 

---------------------
PatchSet 3794 
Date: 2003/12/18 22:25:38
Author: russ
Branch: HEAD
Tag: (none) 
Log:
Finish remerging busybox udhcp and udhcp. Some cleanups as well.

Members: 
	networking/udhcp/AUTHORS:1.2->1.3 
	networking/udhcp/ChangeLog:1.6->1.7 
	networking/udhcp/Makefile.in:1.8->1.9 
	networking/udhcp/README:1.2->1.3 
	networking/udhcp/TODO:1.2->1.3 
	networking/udhcp/arpping.c:1.3->1.4 
	networking/udhcp/clientsocket.c:INITIAL->1.1 
	networking/udhcp/clientsocket.h:INITIAL->1.1 
	networking/udhcp/common.c:1.3->1.4 
	networking/udhcp/common.h:1.1->1.2 
	networking/udhcp/dhcpc.c:1.14->1.15 
	networking/udhcp/dhcpc.h:1.2->1.3 
	networking/udhcp/dhcpd.c:1.3->1.4 
	networking/udhcp/files.c:1.11->1.12 
	networking/udhcp/leases.c:1.3->1.4 
	networking/udhcp/leases.h:1.2->1.3 
	networking/udhcp/leases_file.c:1.1->1.2(DEAD) 
	networking/udhcp/libbb_udhcp.h:1.4->1.5 
	networking/udhcp/pidfile.c:1.2->1.3 
	networking/udhcp/pidfile.h:1.2->1.3 
	networking/udhcp/script.c:1.8->1.9 
	networking/udhcp/signalpipe.c:INITIAL->1.1 
	networking/udhcp/signalpipe.h:INITIAL->1.1 
	networking/udhcp/socket.c:1.5->1.6 
	networking/udhcp/socket.h:1.1->1.2 

---------------------
PatchSet 3795 
Date: 2003/12/18 22:40:58
Author: russ
Branch: HEAD
Tag: (none) 
Log:
rename __getgrent so that it doesn't conflict with some libc's

Members: 
	include/grp_.h:1.1->1.2 
	libpwdgrp/__getgrent.c:1.4->1.5 
	libpwdgrp/fgetgrent.c:1.2->1.3 
	libpwdgrp/getgrgid.c:1.3->1.4 
	libpwdgrp/getgrnam.c:1.3->1.4 
	libpwdgrp/grent.c:1.3->1.4 
	libpwdgrp/initgroups.c:1.5->1.6 

---------------------
PatchSet 3796 
Date: 2003/12/19 10:13:10
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fix a bug preventing use of escaped characters that use the signed bit

Members: 
	libbb/getopt_ulflags.c:1.3->1.4 

---------------------
PatchSet 3797 
Date: 2003/12/19 10:34:36
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
vodz noticed we need to cast things back to an unsigned long
or the syscall will not get the proper arguments.

Members: 
	util-linux/fdisk.c:1.14->1.15 

---------------------
PatchSet 3798 
Date: 2003/12/19 10:37:52
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Use getopt_ulflags

Members: 
	networking/ftpgetput.c:1.9->1.10 

---------------------
PatchSet 3799 
Date: 2003/12/19 10:40:56
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
don't use kernel headers

Members: 
	networking/vconfig.c:1.3->1.4 

---------------------
PatchSet 3800 
Date: 2003/12/19 10:46:00
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Manousaridis Angelos writes:

Hello,

I have been using busybox for some time now, for an ARM based platform.
I was very pleased when I tried the 1.00preX series, with all the new
utilities and daemons.

I found out that the ifupdown in busybox does not behave exaclty like
the debian version. Then the pre-up script fails, the interface is
getting up. Also when the post-up script fails the return value is
ignored. Actually everything is always run and the return value is
always true. I looked at the original implementation from debian and
fixed the busybox version to do the same. A patch is attached if anyone
is interested.

Members: 
	networking/ifupdown.c:1.34->1.35 

---------------------
PatchSet 3801 
Date: 2003/12/19 10:47:40
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Manousaridis Angelos writes:

Another issue I found was with the iproute utility. While using another
program I found that it failed because the "ip route del" command was
not found. I looked at the full iproute implementation and this command
exists. The busybox version has the "ip route delete" command. I have
created a patch which makes the "ip route del" command an alias to the
"ip route delete" command.

Members: 
	networking/libiproute/iproute.c:1.11->1.12 

---------------------
PatchSet 3802 
Date: 2003/12/19 11:07:59
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Tito writes:

Hi to all,
here is a new patch for bb's devfsd. The news are:

1) Size reduction for the basic setup with no options compiled in from :
     text        data     bss     dec       hex   filename
    10591     392      543    11526   2d06 devfsd.o
    rw-r--r--    1 root     root        18536 Dec 18 21:52 devfsd.o

    to:

    text        data     bss     dec        hex  filename
    9303      392      543    10238    27fe devfsd.o
    rw-r--r--    1 root     root        16528 Dec 18 22:02 devfsd.o

   With this setup you should not expect much output from devfsd
    ( just at start or with -v) and if some error occurs it only exits 1.
   To have more output enable:  " Increases logging (and size)" (+1568 b).

2) The option "Adds function names to program output" was removed from config menu
    and now to enable debug output you can use bb's standard option:
    "Build BusyBox with Debugging symbols".
    Be careful as with this option enabled a lot of data are outputted to /dev/log and/or to stderr.

3) A new option: "Enables the -fg and -np option" was added to config menu  (+128 b).

BTW: option "Adds support for MODLOAD keyword in devsfd.conf"  adds 268 b.

4) The following keywords in devsfd.conf are supported:
   "CLEAR_CONFIG", "INCLUDE", "OPTIONAL_INCLUDE", "RESTORE",
   "PERMISSIONS", "EXECUTE", "COPY", "IGNORE",  "MKOLDCOMPAT",
   "MKNEWCOMPAT","RMOLDCOMPAT", "RMNEWCOMPAT".

   But only if they are written UPPERCASE!!!!!!!!

5)Help text in usage.h was modified.

6)Something that I have forgotten..........

I've tested this for the last week on my box and it seems to work as expected.

Thanks in advance and please apply.

Ciao,

Tito

Members: 
	include/usage.h:1.177->1.178 
	miscutils/Config.in:1.11->1.12 
	miscutils/devfsd.c:1.5->1.6 

---------------------
PatchSet 3803 
Date: 2003/12/19 11:23:47
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Stephane Billiart:

This removes references to config->remoteuser when
CONFIG_FEATURE_HTTPD_CGI=y but CONFIG_FEATURE_HTTPD_BASIC_AUTH is not set

Members: 
	networking/httpd.c:1.20->1.21 

---------------------
PatchSet 3804 
Date: 2003/12/19 11:29:29
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Fillod Stephane:

* The "rdate.patch" file makes rdate to NOT settimeofday if the date to be
set equals current date. This prevents the system from experiencing nasty time
discontinuities caused by sub-second changes, with a protocol that has only
over second resolution. Depending on your taste, the "fprintf(stderr..." may be
removed.

Members: 
	util-linux/rdate.c:1.29->1.30 

---------------------
PatchSet 3805 
Date: 2003/12/19 11:30:13
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Fillod Stephane:

* While I'm at it, there's also a "telnetd.patch" which maps CRLF to CR,
  like netkit-telnet does, required by the loosy Windows telnet clients.

Members: 
	networking/telnetd.c:1.8->1.9 

---------------------
PatchSet 3806 
Date: 2003/12/19 11:32:13
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Fillod Stephane:

  You will find in the attached file "syslog.patch" a patch which adds
  config options to set at compile time the size of the circular buffer,
  and some documentation update.

Members: 
	docs/busybox.sgml:1.50->1.51 
	include/usage.h:1.178->1.179 
	sysklogd/Config.in:1.5->1.6 
	sysklogd/logread.c:1.13->1.14 
	sysklogd/syslogd.c:1.105->1.106 

---------------------
PatchSet 3807 
Date: 2003/12/19 12:03:18
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Allow escaped 8 bit characters in bb_opt_complementaly

Members: 
	libbb/getopt_ulflags.c:1.4->1.5 

---------------------
PatchSet 3808 
Date: 2003/12/19 12:08:56
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Use getopt_ulflags

Members: 
	networking/wget.c:1.61->1.62 

---------------------
PatchSet 3809 
Date: 2003/12/19 21:04:19
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Woody Suwalski:

Erik, I think we have met online some time ago when I was in Corel/Rebel
    Netwinder project....

Anyway, I would like to use BB on 2.6.0 initrd. 1.00-pre4 works OK, if
insmod is actually presented with a full path to the module. Otherwise -
problems (not to mention conflicts when 2.4 modutil is enabled)

Here are some patches for insmod and modprobe which try to walk around
the default ".o" module format for 2.2/2.4 modules (you have probably
noticed it is now .ko in 2.6 ;-)) Trying to steal as little space as
possible if 2.6 not enabled...

The modprobe is still not perfect on 2.6 - seems to be jamming on some
dependencies, but works with some (to be debugged). Anyway after the
patches it at least tries to work....

Will there be a 1.00-pre5 coming any time soon?

Thanks, Woody

Members: 
	modutils/insmod.c:1.107->1.108 
	modutils/modprobe.c:1.23->1.24 

---------------------
PatchSet 3810 
Date: 2003/12/20 01:47:16
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Change interface to bb_lookup_host, dont try and set port inside this
function as there is no gracefull way of handling failures.
Rename bb_getport to bb_lookup_port, allow a default port to be
specified so it always returns a correct value.
Modify ftpgetput/rdate/wget to use the new interface.
wget/rdate now use etc/services with a falback default value.

Members: 
	include/libbb.h:1.123->1.124 
	libbb/xconnect.c:1.8->1.9 
	networking/ftpgetput.c:1.10->1.11 
	networking/telnet.c:1.39->1.40 
	networking/wget.c:1.62->1.63 
	util-linux/rdate.c:1.30->1.31 

---------------------
PatchSet 3811 
Date: 2003/12/20 03:19:27
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
display the port number number correctly, other minor optimisations

Members: 
	networking/ftpgetput.c:1.11->1.12 

---------------------
PatchSet 3812 
Date: 2003/12/20 04:38:01
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Use low level file descriptors to match bb_copyfd_eof

Members: 
	libbb/copy_file.c:1.26->1.27 

---------------------
PatchSet 3813 
Date: 2003/12/20 05:43:34
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Allow recieving file to stdout, sending files from stdin, use the '-'
filename. Save a variable.

Members: 
	networking/ftpgetput.c:1.12->1.13 

---------------------
PatchSet 3814 
Date: 2003/12/20 06:00:08
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Use bb_xopen

Members: 
	console-tools/dumpkmap.c:1.16->1.17 
	console-tools/loadacm.c:1.23->1.24 
	console-tools/loadfont.c:1.20->1.21 
	console-tools/openvt.c:1.5->1.6 

---------------------
PatchSet 3815 
Date: 2003/12/20 07:07:22
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Kill off the loadacm applet.  It is unused, unmaintained
garbage leftover from before I started maintaining BusyBox.
As the Klingon's like to say, Today is a good day to die.
 -Erik

Members: 
	console-tools/Config.in:1.3->1.4 
	console-tools/Makefile.in:1.3->1.4 
	console-tools/loadacm.c:1.24->1.25(DEAD) 
	console-tools/reset.c:1.11->1.12 
	debian/config-deb:1.9->1.10 
	debian/config-static:1.12->1.13 
	debian/config-udeb:1.16->1.17 
	debian/config-udeb-linux-i386:1.2->1.3 
	include/applets.h:1.107->1.108 
	sysdeps/linux/defconfig:1.5->1.6 

---------------------
PatchSet 3816 
Date: 2003/12/20 07:16:21
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Eradicate all references to loadacm

Members: 
	docs/busybox.sgml:1.51->1.52 
	docs/busybox_header.pod:1.11->1.12 
	docs/busybox.net/screenshot.html:1.8->1.9 
	include/usage.h:1.179->1.180 

---------------------
PatchSet 3817 
Date: 2003/12/20 07:26:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Try to accomodate systems that do not define PAGE_SHIFT

Members: 
	libbb/procps.c:1.8->1.9 

---------------------
PatchSet 3818 
Date: 2003/12/20 07:30:34
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
New applet, rx, by Christopher Hoover

Members: 
	include/applets.h:1.108->1.109 
	include/usage.h:1.180->1.181 
	miscutils/Config.in:1.12->1.13 
	miscutils/Makefile.in:1.10->1.11 
	miscutils/rx.c:INITIAL->1.1 

---------------------
PatchSet 3819 
Date: 2003/12/20 09:17:50
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
doh!

Members: 
	libbb/procps.c:1.9->1.10 

---------------------
PatchSet 3820 
Date: 2003/12/20 10:23:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
bother.  It seems I can't read.

Members: 
	libbb/procps.c:1.10->1.11 

---------------------
PatchSet 3821 
Date: 2003/12/21 08:59:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Don't hose up perms for files that happen to have symlinks
in the tarball that point to them.
 -Erik

Members: 
	archival/libunarchive/data_extract_all.c:1.17->1.18 

---------------------
PatchSet 3822 
Date: 2003/12/21 09:04:54
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Bump version

Members: 
	Rules.mak:1.24->1.25 

---------------------
PatchSet 3823 
Date: 2003/12/22 21:02:41
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fix a bug of mine where extracting files to stdout would extract to
much, modified patch from Bastian Blank

Members: 
	archival/libunarchive/data_extract_to_stdout.c:1.3->1.4 

---------------------
PatchSet 3824 
Date: 2003/12/23 07:21:33
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fix compile error, the indenting really needs to be fixed here

Members: 
	miscutils/crond.c:1.11->1.12 

---------------------
PatchSet 3825 
Date: 2003/12/23 08:53:51
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Matt Kraai:

sed is broken:

 busybox sed -n '/^a/,/^a/p' >output <<EOF
 a
 b
 a
 b
 EOF
 cmp -s output - <<EOF
 a
 b
 a
 EOF

The attached patch fixes it.

Members: 
	editors/sed.c:1.156->1.157 

